org.eclipse.actf.util.dom

## Class WhatToShowNodeFilter

- java.lang.Object
- - org.eclipse.actf.util.dom.WhatToShowNodeFilter

All Implemented Interfaces:
  org.w3c.dom.traversal.NodeFilter

    public class WhatToShowNodeFilter
    extends Object
    implements org.w3c.dom.traversal.NodeFilter

Implementation class of NodeFilter. This filter uses whatToShow attributes to define the filter behavior.

### Field Summary

### Fields inherited from interface org.w3c.dom.traversal.NodeFilter

`FILTER_ACCEPT, FILTER_REJECT, FILTER_SKIP, SHOW_ALL, SHOW_ATTRIBUTE, SHOW_CDATA_SECTION, SHOW_COMMENT, SHOW_DOCUMENT, SHOW_DOCUMENT_FRAGMENT, SHOW_DOCUMENT_TYPE, SHOW_ELEMENT, SHOW_ENTITY, SHOW_ENTITY_REFERENCE, SHOW_NOTATION, SHOW_PROCESSING_INSTRUCTION, SHOW_TEXT`

### Constructor Summary

Constructors
Constructor and Description
`WhatToShowNodeFilter(int whatToShow)` Constructor of WhatToShowNodeFilter

### Method Summary

Methods
`short` `acceptNode(Node arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WhatToShowNodeFilter

    public WhatToShowNodeFilter(int whatToShow)

Constructor of WhatToShowNodeFilter

Parameters:
  `whatToShow` - the attribute determines which types of node are presented. The values are defined in the NodeFilter interface.

### Method Detail

#### acceptNode

    public short acceptNode(Node arg0)

Specified by:
  `acceptNode` in interface `org.w3c.dom.traversal.NodeFilter`